package ru.yandex.wmconsole.service;

import ru.yandex.wmtools.common.error.InternalException;
import ru.yandex.wmtools.common.service.AbstractDbService;
import ru.yandex.wmtools.common.service.ISupportService;

/**
 * Created by IntelliJ IDEA.
 * User: senin
 * Date: 20.03.2007
 * Time: 10:09:24
 */
public abstract class VerifyService extends AbstractDbService {
    private ISupportService supportService;
    protected ISupportService getSupportService() {
        return supportService;
    }
    public void setSupportService(ISupportService supportService) {
        this.supportService = supportService;
    }

    public abstract boolean isHostVerifiedByUser(long hostId, long userId) throws InternalException;
}
